function S=gitinfo()
% FUNCTION fc_amat.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2018-2019 F. Cuvelier
%
  S=struct('name','fc-amat', 'tag','0.0.3','commit','597d6b289aec5c8e14a2c81b606887bcc6241e59','date', '2019-03-08','time','13-06-46','status',0);return; % automatically updated
  rep=fc_amat.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-amat','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
